package cn.fw.shirasawa.domain.db.follow;


import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.shirasawa.domain.enums.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 跟进记录
 *
 * @author kurisu
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FollowRecord extends BaseAuditableTimeEntity<FollowRecord, Long> {
    /**
     * 跟进任务id
     */
    private Long taskId;
    /**
     * 业态类型
     */
    private BizTypeEnum bizType;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 联系方式
     */
    private String contacts;
    /**
     * 跟进人id
     */
    private Long userId;
    /**
     * 跟进人员姓名
     */
    private String userName;
    /**
     * 本次计划跟进时间
     */
    private LocalDateTime planTime;
    /**
     * 本次跟进截止时间
     */
    private LocalDateTime deadline;
    /**
     * 跟进状态
     */
    private FollowStatusEnum followStatus;
    /**
     * 实际跟进关闭时间
     */
    private LocalDateTime closeTime;
    /**
     * 待办关闭原因
     */
    private FollowCloseReason reason;
    /**
     * 推送待办时间
     */
    private LocalDateTime todoTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 跟进产生的集团id
     */
    private Long groupId;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 是否添加到待办
     */
    private Boolean addTodo;
    /**
     * 待办编码
     */
    private String todoCode;
    /**
     * 生成待办所需参数
     */
    private String note;
    /**
     * 是否有效
     */
    private Boolean yn;
    /**
     * 本次是否强制电话  true-是 false-否
     */
    private Boolean compelTel;
    /**
     * 业务Id
     */
    private String bizId;
    /**
     * 关联的id [即被本次待办覆盖的id]
     */
    private Long refId;
    /**
     * 车牌号 （售后用）
     */
    private String plateNo;
    /**
     * 拨打电话电话状态
     */
    private CallStateEnum called;
    /**
     * 车架号
     */
    private String vin;
    /**
     * 过滤掉报表[报表不统计]
     */
    private Boolean ignoreReport;
}
