package cn.fw.shirasawa.domain.db.follow;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.shirasawa.domain.enums.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.Duration;
import java.time.LocalDateTime;

/**
 * 跟进任务
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FollowTask extends BaseAuditableTimeEntity<FollowTask, Long> {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 联系方式
     */
    private String contacts;
    /**
     * vin
     */
    private String vin;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 业态类型
     */
    private BizTypeEnum bizType;
    /**
     * 业务数据id
     */
    private String detailId;
    /**
     * 任务开始时间
     */
    private LocalDateTime beginTime;
    /**
     * 跟进限制时长
     */
    private Duration followDuration;
    /**
     * 截止日期
     */
    private LocalDateTime deadline;
    /**
     * 是否完成
     */
    private TaskStateEnum state;
    /**
     * 终止时间
     */
    private LocalDateTime closeTime;
    /**
     * 当前跟进人
     */
    private Long followUser;
    /**
     * 当前跟进人门店
     */
    private Long followShop;
    /**
     * 跟进次数
     */
    private Integer times;
    /**
     * 反馈类型
     */
    private String feedback;
    /**
     * 最新反馈
     */
    private FeedbackTypeEnum lastFeedback;
    /**
     * 任务战败类型
     */
    private TaskDefeatTypeEnum initiative;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 业务Id
     */
    private String bizId;
    /**
     * 已经停止推待办
     * <p>目前只针对售后事故车跟进</p>
     */
    private Boolean stopTodo;
}
