package cn.fw.shirasawa.domain.db.follow;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 跟进任务变更记录
 *
 * @author : kurisu
 * @version : 1.1
 * @className : TaskChangeLog
 * @description : 跟进任务变更记录
 * @date : 2023-03-30 09:49
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class TaskChangeLog extends BaseAuditableTimeEntity<TaskChangeLog, Long> {
    /**
     * 任务id
     */
    private Long taskId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 前跟进人id
     */
    private Long preUserId;
    /**
     * 前跟进门店id
     */
    private Long preShopId;
}
