package cn.fw.shirasawa.domain.dto;

import cn.fw.shirasawa.domain.enums.BizTypeEnum;
import lombok.Data;

import java.time.Duration;
import java.util.Date;
import java.util.Map;

/**
 * @author : kurisu
 * @className : OriginalDataDTO
 * @description : 业务元数据dto
 * @date: 2020-08-15 10:12
 */
@Data
public class OriginalDataDTO {
    /**
     * 数据类型
     */
    private Integer dataType;
    /**
     * 业态类型
     */
    private BizTypeEnum bizType;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案名称
     */
    private String customerName;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 联系方式
     * 事故车的场景不能为空
     */
    private String contacts;
    /**
     * 业务id
     */
    private String detailId;
    /**
     * 待办系统展示参数
     */
    private Map<String, String> noteMap;
    /**
     * 数据产生时间
     */
    private Date generateTime;
    /**
     * 线索截止时间
     */
    private Date deadline;
    /**
     * 跟进限制时长
     */
    private Duration followDuration;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 跟进人员id
     */
    private Long userId;
    /**
     * 跟进人员名称
     */
    private String userName;
    /**
     * 业务Id
     */
    private String bizId;
}
