package cn.fw.shirasawa.domain.dto;

import cn.fw.common.web.annotation.LoginContextField;

import javax.validation.Valid;
import javax.validation.constraints.Future;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 跟进待办完成dto
 *
 * @author : kurisu
 * @version : 1.1
 * @className : RecordCompleteDTO
 * @description : 跟进待办完成dto
 * @date : 2023-04-03 16:11
 */
public class RecordCompleteDTO {
    /**
     * 跟进任务id
     */
    @NotNull(message = "跟进任务id不能为空")
    private Long recordId;
    /**
     * 登录人id
     *
     * @ignoreParams
     */
    @LoginContextField(LoginContextField.Name.USER_ID)
    private Long userId;
    /**
     * 下次跟进时间
     */
    @Valid
    private List<NextDTO> nextDto;

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<NextDTO> getNextDto() {
        return nextDto;
    }

    public void setNextDto(List<NextDTO> nextDto) {
        this.nextDto = nextDto;
    }

    public static class NextDTO {
        @NotNull(message = "跟进id不能为空")
        private Long taskId;
        @NotNull(message = "下次跟进时间不能为空")
        @Future(message = "下次跟进时间必须时未来时间")
        private LocalDate nextDate;

        /**
         * 事故车下次跟进时间
         */
        private LocalDateTime accNextDate;

        public Long getTaskId() {
            return taskId;
        }

        public void setTaskId(Long taskId) {
            this.taskId = taskId;
        }

        public LocalDate getNextDate() {
            return nextDate;
        }

        public void setNextDate(LocalDate nextDate) {
            this.nextDate = nextDate;
        }

        public LocalDateTime getAccNextDate() {
            return accNextDate;
        }

        public void setAccNextDate(LocalDateTime accNextDate) {
            this.accNextDate = accNextDate;
        }
    }
}
