package cn.fw.shirasawa.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 待办关闭原因
 *
 * @author : kurisu
 * @version : 1.1
 * @className : FollowCloseReason
 * @description : 待办关闭原因
 * @date : 2023-03-29 15:58
 */
public enum FollowCloseReason implements IEnum<Integer> {
    DONE(1, "及时完成"),
    OVERDUE(2, "跟进逾期"),
    EARLY(3, "客户转化"),
    ABANDON(4, "主动放弃"),
    ANOTHER(5, "另一顾问转化"),
    ROLE_CHANGE(6, "角色调整"),
    LEAD_EXPIRES(7, "线索到期"),
    ;
    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String desc;

    FollowCloseReason(final Integer value, final String desc) {
        this.value = value;
        this.desc = desc;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static FollowCloseReason ofValue(final Integer value) {
        for (final FollowCloseReason typeEnum : FollowCloseReason.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }
}
