package cn.fw.shirasawa.domain.query;

import cn.fw.common.validator.EnumValue;
import cn.fw.shirasawa.domain.enums.BizTypeEnum;
import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 跟进数量占比查询参数
 *
 * @author : kurisu
 * @version : 1.1.2
 * @desc : 跟进数量占比查询参数
 * @date : 2023-08-24 14:56
 */
@Data
public class FollowRatioQuery {
    /**
     * 业务单号
     */
    @NotBlank(message = "业务单号不能为空")
    private String bizId;
    /**
     * 业态类型
     */
    @EnumValue(enumClass = BizTypeEnum.class, message = "业态类型不正确")
    private Integer bizType;
    /**
     * 跟进类型
     */
    @EnumValue(enumClass = FollowTypeEnum.class, message = "跟进类型不正确")
    private Integer followType;
    /**
     * 门店ids
     */
    private List<Long> shopIds;
}
