package cn.fw.shirasawa.domain.vo.follow;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 售后通用详情
 *
 * @author : kurisu
 * @version : 2.0
 * @className : AfterSaleCommonDetailVO
 * @description : 售后通用详情
 * @date : 2023-04-13 15:21
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class AfterSaleCommonDetailVO extends FollowDetailVO {
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 专属顾问
     */
    private String adviserName;
    /**
     * 上次里程 万公里
     */
    private Integer lastMileage;
    /**
     * 上次进站时间
     */
    private LocalDateTime deliveryTime;
    /**
     * 保险到期时间
     */
    private LocalDate insExpiration;
    /**
     * 是否是贷款客户
     */
    private boolean loanCustomer;
    /**
     * 分期期数
     */
    private Integer periods;
    /**
     * 贷款到期时间
     */
    private LocalDate expires;
}
