package cn.fw.shirasawa.rpc.member.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员信息
 * <p>
 * create at 2019-05-09
 *
 * @author kurisu
 */
@Data
public class MemberUserDTO implements Serializable {
    private static final long serialVersionUID = 2363764577624856885L;
    /**
     * 会员号
     */
    private Long id;
    /**
     * 账号
     */
    private Long latestAccountId;
    /**
     * 电话
     */
    private String latestAccountPhone;
    /**
     * 最近一个号码
     */
    private String latestAccountOldPhone;
    /**
     * 姓名
     */
    private String realName;
    /**
     * 生日
     */
    private Date birthDate;
    /**
     * 认证资料类型
     */
    private Integer credentType;
    /**
     * 身份证号
     */
    private String credentNo;

    public Long getUserId() {
        return id;
    }

    public Long getMemberId() {
        return id;
    }

    public Long getAccountId() {
        return latestAccountId;
    }


    public String getPhone() {
        String phone = this.latestAccountPhone;
        if (phone == null || phone.isEmpty() || phone.equals("#")) {
            phone = this.latestAccountOldPhone;
        }
        if (phone == null || phone.isEmpty()) {
            return "#";
        }
        return phone;
    }
}
