package cn.fw.shirasawa.rpc.member.dto;

import lombok.Data;

import java.util.Date;

/**
 * 会员账号信息
 *
 * @author : kurisu
 * @version : 2.0
 * @desc : 会员账号信息
 * @date : 2023-12-13 16:00
 */
@Data
public class UserAccountDTO {
    /**
     * 账户id
     */
    private Long id;

    /**
     * 会员id
     */
    private Long memberId;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 证件号码
     */
    private String credentNo;

    /**
     * 认证时间
     */
    private Date credentTime;

    /**
     * 账户昵称
     */
    private String nickName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 性别 0 未知 1男 2女
     */
    private Integer sex;

    /**
     * 生日
     */
    private Date birthday;

    /**
     * 用户头像URL
     */
    private String avatarUrl;

    /**
     * unionId
     */
    private String unionId;

    /**
     * 会员状态 0冻结 1正常
     */
    private Integer status;

    /**
     * 上次激活时间
     */
    private Date lastActive;

    /**
     * 冻结时间
     */
    private Date blockTime;

    /**
     * 备注
     */
    private String remark;
}
