package cn.fw.shirasawa.sdk.enums;

import lombok.Getter;

/**
 * 终止原因
 *
 * @author : kurisu
 * @version : 1.1
 * @className : TerminationReason
 * @description : 终止原因
 * @date : 2023-03-29 15:37
 */
@Getter
public enum TerminationReason {
    ABANDON(50, "主动放弃"),
    ANOTHER(60, "另一顾问成交"),
    ROLE_CHANGE(70, "角色变动"),
    ;
    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    TerminationReason(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    public static TerminationReason ofValue(final Integer value) {
        for (final TerminationReason reason : TerminationReason.values()) {
            if (reason.value.equals(value)) {
                return reason;
            }
        }
        return null;
    }

}
