package cn.fw.shirasawa.sdk.mq;

import lombok.Data;

import java.util.Date;

/**
 * @author : kurisu
 * @className : TopicConstant
 * @description : topic常量
 * @date: 2020-08-14 17:38
 */
@Data
public class FollowResultDTO {
    public static final String FOLLOW_TOPIC = "follow_complete";

    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 跟进类型
     * FM(1, "首保"),
     * RM(2, "流失客户"),
     * AC(3, "事故车"),
     * IR(4, "续保"),
     * AF(5, "活动邀约"),
     * CF(6, "集客"),
     * PF(7, "潜客"),
     * FA(8, "急救"),
     * RV(9, "回访"),
     * PL(10, "公共池跟进")
     * SF(11, "补贴跟进"),
     * RC(12, "区域线索"),
     * @see cn.fw.shirasawa.sdk.enums.DataTypeEnum
     */
    private Integer type;
    /**
     * @see cn.fw.shirasawa.sdk.enums.BusinessTypeEnum
     */
    private Integer businessType;
    /**
     * 业务id
     */
    private String detailId;
    private String bizId;
    /**
     * 跟进人员
     */
    private Long userId;
    /**
     * 人员名称
     */
    private String userName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 是否逾期
     */
    private boolean overdue;
    /**
     * 产生结果的时间
     * 逾期就是逾期时间 完成就是完成跟进的时间
     */
    private Date resultTime;
    /**
     * 跟进待办id
     */
    private Long recordId;
    /**
     * 剩余待办数量
     */
    private Long remaining;
    /**
     * 本次跟进的通话有效性
     * @see cn.fw.shirasawa.sdk.enums.CallEfficientEnum
     */
    private Integer callEfficient;
}
