package cn.fw.shirasawa.sdk.param;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.Future;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 完成跟进待办dto
 *
 * @author : kurisu
 * @version : 1.1
 * @className : CompleteFollowDTO
 * @description : 完成跟进待办dto
 * @date : 2023-04-07 17:48
 */
@Data
public class CompleteFollowDTO {
    @NotNull(message = "跟进待办记录id不能为空")
    private Long recordId;
    @NotNull(message = "跟进完成人员不能为空")
    private Long userId;

    @Valid
    private List<NextInfo> nextDto;

    public static class NextInfo {
        @NotNull(message = "跟进id不能为空")
        private Long taskId;
        @NotNull(message = "下次跟进时间不能为空")
        @Future(message = "下次跟进时间必须时未来时间")
        private Date nextDate;

        public Long getTaskId() {
            return taskId;
        }

        public void setTaskId(Long taskId) {
            this.taskId = taskId;
        }

        public Date getNextDate() {
            return nextDate;
        }

        public void setNextDate(Date nextDate) {
            this.nextDate = nextDate;
        }
    }
}
