package cn.fw.shirasawa.sdk.param;

import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import cn.fw.shirasawa.sdk.enums.DataTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 变更任务跟进人
 *
 * @author : kurisu
 * @version : 1.1
 * @className : FollowChangeUserDTO
 * @description : 变更任务跟进人
 * @date : 2023-04-03 15:12
 */
@Data
public class FollowChangeUserDTO {
    /**
     * 数据类型
     */
    @NotNull(message = "数据类型不能为空")
    private DataTypeEnum type;
    /**
     * 业态类型
     */
    @NotNull(message = "业态类型不能为空")
    private BusinessTypeEnum businessType;
    /**
     * 业务id
     */
    @NotBlank(message = "业务id不能为空")
    private String detailId;
    /**
     * 新的 门店id
     */
    private Long shopId;
    /**
     * 新的 跟进人员id
     */
    private Long userId;
    /**
     * 业务Id
     * e.g: 活动编号/id
     */
    private String bizId;
    /**
     * 客户手机号
     */
    private String mobile;
    /**
     * 推荐下次时间
     * 为空的话会默认第二天
     */
    private Date recommendNextTime;
    /**
     * 二次分配标识
     */
    private Boolean secondTask;
    /**
     * 任务截止时间 [二次分配用]
     */
    private Date deadline;
}
