package cn.fw.shirasawa.sdk.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 跟进数量查询参数
 *
 * @author : kurisu
 * @version : 1.1.2
 * @desc : 跟进数量查询参数
 * @date : 2023-08-23 15:46
 */
@Data
public class FollowCountReq {
    /**
     * 业务编号
     */
    @NotBlank(message = "业务编号不能为空")
    private String bizId;
    /**
     * 跟进类型 {@link cn.fw.shirasawa.sdk.enums.DataTypeEnum}
     */
    private Integer type;
    /**
     * 业态类型 {@link cn.fw.shirasawa.sdk.enums.BusinessTypeEnum}
     */
    private Integer bizType;
    /**
     * 门店id
     */
    private List<Long> shopIds;
}
