package cn.fw.shirasawa.sdk.param;

import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import cn.fw.shirasawa.sdk.enums.DataTypeEnum;
import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 进站终止待办
 *
 * @author : kurisu
 * @version : 1.0
 * @desc : 进站终止待办
 * @date : 2024-03-01 11:07
 */
@Data
@EqualsAndHashCode
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class StopInShopDTO {
    /**
     * 数据类型
     */
    @NotNull(message = "数据类型不能为空")
    private DataTypeEnum type;
    /**
     * 业态类型
     */
    @NotNull(message = "业态类型不能为空")
    private BusinessTypeEnum businessType;
    /**
     * 业务id
     */
    @NotBlank(message = "业务id不能为空")
    private String detailId;
    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空")
    private Long groupId;
}
