package cn.fw.shirasawa.service.bus.follow.strategy.impl;

import cn.fw.shirasawa.domain.db.follow.FollowTask;
import cn.fw.shirasawa.domain.db.other.OriginalData;
import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.service.bus.follow.strategy.AbstractFollowStrategy;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author : kurisu
 * @className : OTFollowStrategy
 * @description : 其他策略
 * @date: 2020-08-17 10:48
 */
@Slf4j
@Component
public class OTFollowStrategy extends AbstractFollowStrategy {

    @Override
    public FollowTypeEnum getFollowType() {
        return FollowTypeEnum.OT;
    }
    @Override
    @Transactional(rollbackFor = Exception.class)
    public void secondTaskStopRecord(final Long taskId) {
        // 没有二次分配
    }
}
