package cn.fw.shirasawa.service.bus.follow.strategy.impl;

import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.service.bus.follow.strategy.AbstractFollowStrategy;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author : kurisu
 * @className : RVFollowStrategy
 * @description : 回访跟进
 * @date: 2022-01-11 15:37
 */
@Slf4j
@Component
public class RVFollowStrategy extends AbstractFollowStrategy {

    @Override
    public FollowTypeEnum getFollowType() {
        return FollowTypeEnum.RV;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void secondTaskStopRecord(final Long taskId) {
        // 没有二次分配
    }
}
