package cn.fw.shirasawa.service.bus.follow.strategy.impl;

import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.service.bus.follow.strategy.AbstractFollowStrategy;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * 补贴跟进
 *
 * @author : kurisu
 * @version : 1.0
 * @className : SFFollowStrategy
 * @description : 补贴跟进
 * @date : 2023-03-13 15:16
 */
@Slf4j
@Component
@SuppressWarnings("Duplicates")
public class SFFollowStrategy extends AbstractFollowStrategy {

    @Override
    public FollowTypeEnum getFollowType() {
        return FollowTypeEnum.SF;
    }
    @Override
    @Transactional(rollbackFor = Exception.class)
    public void secondTaskStopRecord(final Long taskId) {
        // 没有二次分配
    }
}
