package cn.fw.shirasawa.service.data;

import cn.fw.shirasawa.domain.db.follow.TaskNextPlan;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDate;

/**
 * 任务下次跟进时间
 *
 * @author : kurisu
 * @version : 1.1
 * @className : TaskNextPlanService
 * @description : 任务下次跟进时间
 * @date : 2023-04-03 14:58
 */
public interface TaskNextPlanService extends IService<TaskNextPlan> {
    /**
     * 根据跟进任务id查询
     * @param taskId 跟进任务id
     * @return
     */
    TaskNextPlan queryByTaskId(Long taskId);

    /**
     * 终止跟进任务的后续跟进
     * @param taskId
     */
    @Transactional(rollbackFor = Exception.class)
    void stopFollow(Long taskId);

    /**
     * 记录下次跟进时间
     * @param taskId 跟进任务id
     * @param nextDate 下次跟进时间
     */
    void recordNextTime(Long taskId, LocalDate nextDate);
}
