package cn.fw.shirasawa.service.data.impl;

import cn.fw.shirasawa.dao.mapper.FollowTaskMapper;
import cn.fw.shirasawa.domain.db.follow.FollowTask;
import cn.fw.shirasawa.domain.dto.FollowPoolDTO;
import cn.fw.shirasawa.domain.query.FollowPoolQueryVO;
import cn.fw.shirasawa.service.data.FollowTaskService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

/**
 * @author : kurisu
 * @className : FollowTaskServiceImpl
 * @description : 跟进任务
 * @date: 2020-08-12 11:05
 */
@Service
@Slf4j
public class FollowTaskServiceImpl extends ServiceImpl<FollowTaskMapper, FollowTask> implements FollowTaskService {
    @Override
    public List<FollowPoolDTO> followList(FollowPoolQueryVO queryVO) {
        Integer current = queryVO.getCurrent();
        Integer pageSize = queryVO.getPageSize();
        Integer startIndex = (current - 1) * pageSize;
        return Optional.ofNullable(getBaseMapper().followList(startIndex, pageSize, queryVO)).orElse(new ArrayList<>());
    }

    @Override
    public long followListCount(FollowPoolQueryVO queryVO) {
        return Optional.ofNullable(getBaseMapper().followListCount(queryVO)).orElse(0L);
    }
}
